For the complete documentation index, see llms.txt. This page is also available as Markdown.

Skus

Get organization's catalog SKUs

get
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Query parameters
pageinteger · int32Optional

The page number to request (1 based)

Example: 1
sizeinteger · int32Optional

The number of results to return in a page

Example: 10
categoriesstring[]Optional

The code of the categories

Example: COMPUTER
Responses
200

OK

application/json
idstring · uuidRequired

SKU's internal ID

Example: 123e4567-e89b-12d3-a456-426614174000
titlestringRequired

SKU's title

Example: MacBook Air 13" M3 8-Core CPU 10-Core GPU 8GB RAM 512GB SSD - US / English - Space Gray - AU Plug
vendorSkustringRequired

SKU's vendor SKU value

Example: 123E4567-E89B-12D3-A456-426614174000
vendorCodestringRequired

SKU's vendor's code

Example: APPLE
partNumberstringOptional

SKU's part number

Example: MZ-1234HG
isStandardCatalogbooleanRequired

Tells if the SKU is part of org's standard catalog

Example: true
get/api/catalog/skus
GET /api/catalog/skus HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "title": "MacBook Air 13\" M3 8-Core CPU 10-Core GPU 8GB RAM 512GB SSD - US / English - Space Gray - AU Plug",
    "vendorSku": "123E4567-E89B-12D3-A456-426614174000",
    "vendorCode": "APPLE",
    "partNumber": "MZ-1234HG",
    "isStandardCatalog": true,
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "pricing": [
      {
        "regionCode": "EU",
        "priceOption": "Subscription or Purchased",
        "price": 123.45,
        "currencyCode": "EUR",
        "countryCodes": [
          "DE",
          "FR"
        ],
        "firstBaseSupplied": true
      }
    ],
    "stock": [
      {
        "regionCode": "EU",
        "countryCodes": [
          "DE",
          "FR"
        ],
        "availability": [
          {
            "condition": "NEW or USED",
            "count": 1
          }
        ]
      }
    ]
  }
]

Get organization's SKU

get
Authorizations
AuthorizationstringRequired

Prefix the value with "ApiKey" to indicate the custom authorization type

Path parameters
skuIdstring · uuidRequired

The SKU ID to return data for

Example: 123e4567-e89b-12d3-a456-426614174000
Responses
200

OK

application/json
get/api/catalog/skus/{skuId}
GET /api/catalog/skus/{skuId} HTTP/1.1
Host: apipub.firstbasehq.com
Authorization: YOUR_API_KEY
Accept: */*